Subject: Re: [RFC] Fourth round of support for cloning submodules

From: Martin Waitz <[email-masked]>
Date: Sun, 27 May 2007 22:34:42 +0200

hoi :)

On Thu, May 24, 2007 at 12:02:41PM +0100, Johannes Schindelin wrote:
> On Thu, 24 May 2007, Sven Verdoolaege wrote:
> > On Thu, May 24, 2007 at 10:41:30AM +0100, Johannes Schindelin wrote:
> > > On Thu, 24 May 2007, Sven Verdoolaege wrote:
> > > > You mean like a tag "submodules" that points to a text file
> > > > describing the submodules?
> > > > That's a bit of a pain to set up since you would want that
> > > > to be independent of your project.
> > > 
> > > I could imagine this to be another extension of ls-remote.
> > 
> > You mean extending upload-pack ?  Junio mentioned this possibility as well.
> > This only solves the git:// and ssh:// case though.
> > What to do with the other protocols?
> 
> As we do for the refs: put it into .git/info/refs. This file is already 
> meant to "cache" the output of ls-remote for dumb protocols.

why on earth do you want to store a subproject SHA1 in the
superproject.git?

The subproject only exists as a part of the superproject tree and thus
there is no "the subproject SHA1 which is used by the superproject".
It just doesn't work as you can have several superproject branches with
different subproject.  And even the superproject can itself be a
subproject.

-- 
Martin Waitz